Bug 489706 - Apache does Segmentation fault while trying to authenticate via kerberos
Apache does Segmentation fault while trying to authenticate via kerberos
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mod_auth_kerb (Show other bugs)
5.3
x86_64 Linux
low Severity urgent
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 10:43 EDT by guilhem.bonnefille
Modified: 2013-03-13 13:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-13 13:01:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description guilhem.bonnefille 2009-03-11 10:43:09 EDT
Description of problem:
An apache is serving static web pages, and authentication layer is made with mod_auth_kerb.
My client is a java 1.6 client, correctly configured to use kerberos tickets.

When the client try to retrieve data, it fails with 401 error. On the server side, some httpd forked processes died due to "exit signal Segmentation fault (11)".

Version-Release number of selected component (if applicable):
mod_auth_kerb-5.1-3


How reproducible:
Cf. Description.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I have the same problem with upstream mod_auth_kerb 5.4.

Installing mod_auth_kerb-5.3-2.fc5 solves the problem.
Comment 1 guilhem.bonnefille 2009-03-11 10:48:15 EDT
Using gdb on httpd, I can extract the following information.

-=-=-=-=-
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 46912564989648 (LWP 10239)]
0x00002aaaae20bc99 in gss_krb5_ccache_name ()
from /usr/lib64/libgssapi_krb5.so.2
-=-=-=-=-
Comment 2 Joe Orton 2012-08-31 11:44:16 EDT
Is this reproducible with current versions of mod_auth_kerb?
Comment 3 Joe Orton 2013-03-13 13:01:09 EDT
We don't have a reproduction recipe for this issue; closing.  If you have further problems please contact Red Hat Support.

Note You need to log in before you can comment on or make changes to this bug.